Hostgroup change does not affect host's attributes (OS, mirror, p. table) if set

03/15/2017 09:00 AM - Tomer Brisker

Status: Assigned   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1216001 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1216001

Description of problem:

We ran into this issue when reprovisioning a machine between 2 host groups.

If the 2 hostgroups have different OSes set, we can't switch in-between them unless we manually unset the 3 attributes first.

Version-Release number of selected component (if applicable):

Satellite 6.0.8

How reproducible:

Always

Steps to Reproduce:

1. Setup 2 hostgroups with different OSes

2. Provision a host into the 1st hostgroup (wait till finished)

3. Change hostgroup of the host to the 2nd one and enable build mode

Actual results:

Looking at the host's attributes, the OS, mirror and partition table remained in their previous state; the hostgroup change had no

effect on them.

PXE was not rebuilt either and is pointing at the original OS as well.

Expected results:

Data from the hostgroup should rewrite current host's setup / attributes for reprovisioning on a hostgroup change without the user

having to unset them first.

Workaround:

Unset OS, mirror and p. table from the host first and then change the hostgroup.

This will load the data from the new hostgroup.

Is this an expected behavior?

History

#1 - 03/15/2017 09:13 AM - Dominic Cleal

- Category set to Host creation

- Status changed from New to Assigned

Is this an expected behavior?

 Yes, hosts copy their attributes from the host group on creation, and may vary from the host group throughout the host's lifetime as they may be

updated. They are not intended to be identical, so unsure that this is a bug.
#2 - 05/01/2017 08:29 AM - Jay Dinger

Dominic Cleal wrote:

Is this an expected behavior?

 Yes, hosts copy their attributes from the host group on creation, and may vary from the host group throughout the host's lifetime as they may be

updated. They are not intended to be identical, so unsure that this is a bug.

 In my mind I would like control of all hosts and their attributes if grouped together under a hostgroup.  I fail to see the advantage of NOT having this as

an option/feature.

Powered by TCPDF (www.tcpdf.org)

05/19/2024 2/2

http://www.tcpdf.org

